/Users/bernard/b20/bsoft/include/rwSUPRIM.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwSUPRIM.h - Header file for reading and writing SUPRIM files.

SYNOPSIS

#include 'rwimg.h'

  Classes
union REG
struct SUPRIMhead

  Macros
#define F_AVG 0
#define BACKGROUND 0
#define ANG_SAMP 1
#define RAD_SAMP 2
#define O_ROW_SZ 3
#define O_COL_SZ 4
#define ROW_ORG 5
#define COL_ORG 6
#define MASK_RAD 7
#define F_NOTE_R 8
#define F_NOTE_I 9
#define SAMP_DIST 10
#define NSLICES 11
#define ENL_BP 12
#define X_FMAX 12
#define THE_BP 13
#define PHI_BP 14
#define FOUR_TR_CEN 15
#define GSBAR 15
#define X_NIMA 16
#define SYMP2 17
#define X_NPIX 17
#define X_NCLU 18
#define X_NCTR 19
#define X_NAME 20
#define X_LNAM 21
#define X_NTRM 21
#define X_NFAC 22
#define X_NTYP 23
#define FRTHDIM 24
#define X_NIMI 26
#define X_UFAC 27
#define X_WALL 28
#define SLICE_ORG 29
#define NUM_POLYS 31
#define X_FBEG 32
#define PSI_BP 40
#define X_TRP 70
#define R_ANGX 81
#define R_ANGY 82
#define R_ANGZ 83
#define R_NPROJ 84
#define XGLOB 90
#define YGLOB 91
#define ROTGLOB 92
#define XX_CELL 93
#define XY_CELL 94
#define YX_CELL 95
#define YY_CELL 96
#define IR_WINID 97
#define O_SLICE_SZ 98
#define CALIB 99
#define NAV 100
#define SUPRIMSIZE 548
#define MAXREG 128

  Functions
int readSUPRIM (Bimage *p, int readdata)
Reading a SUPRIM map image file format. A 3D image format used in electron microscopy. Header size: 36 bytes basic fields 512 bytes additional fields called 'registers' up to 1024 bytes of 'trace' records File format extensions: .spm, .sup Byte order determination: Version and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float, 4 = run-length-encoded float, 5 = short, 6 = RGB, 7 = int, 8 = double. Transform type: Standard.
int writeSUPRIM (Bimage *p)
Writing a SUPRIM map image file format. A 3D image format used in electron microscopy.

Detailed Description

Header file for reading and writing SUPRIM files.

Author:
    Bernard Heymann

Date:
    Created: 19990930

    Modified: 20050705

    Format: 3D image file format for the SUPRIM package

Definition in file rwSUPRIM.h.

Macro Definition Documentation

  #define ANG_SAMP 1

Definition at line 17 of file rwSUPRIM.h.

  #define BACKGROUND 0

Definition at line 16 of file rwSUPRIM.h.

  #define CALIB 99

Definition at line 66 of file rwSUPRIM.h.

  #define COL_ORG 6

Definition at line 22 of file rwSUPRIM.h.

  #define ENL_BP 12

Definition at line 28 of file rwSUPRIM.h.

  #define F_AVG 0

Definition at line 15 of file rwSUPRIM.h.

  #define F_NOTE_I 9

Definition at line 25 of file rwSUPRIM.h.

  #define F_NOTE_R 8

Definition at line 24 of file rwSUPRIM.h.

  #define FOUR_TR_CEN 15

Definition at line 32 of file rwSUPRIM.h.

  #define FRTHDIM 24

Definition at line 44 of file rwSUPRIM.h.

  #define GSBAR 15

Definition at line 33 of file rwSUPRIM.h.

  #define IR_WINID 97

Definition at line 64 of file rwSUPRIM.h.

  #define MASK_RAD 7

Definition at line 23 of file rwSUPRIM.h.

  #define MAXREG 128

Definition at line 71 of file rwSUPRIM.h.

  #define NAV 100

Definition at line 67 of file rwSUPRIM.h.

  #define NSLICES 11

Definition at line 27 of file rwSUPRIM.h.

  #define NUM_POLYS 31

Definition at line 49 of file rwSUPRIM.h.

  #define O_COL_SZ 4

Definition at line 20 of file rwSUPRIM.h.

  #define O_ROW_SZ 3

Definition at line 19 of file rwSUPRIM.h.

  #define O_SLICE_SZ 98

Definition at line 65 of file rwSUPRIM.h.

  #define PHI_BP 14

Definition at line 31 of file rwSUPRIM.h.

  #define PSI_BP 40

Definition at line 51 of file rwSUPRIM.h.

  #define R_ANGX 81

Definition at line 53 of file rwSUPRIM.h.

  #define R_ANGY 82

Definition at line 54 of file rwSUPRIM.h.

  #define R_ANGZ 83

Definition at line 55 of file rwSUPRIM.h.

  #define R_NPROJ 84

Definition at line 56 of file rwSUPRIM.h.

  #define RAD_SAMP 2

Definition at line 18 of file rwSUPRIM.h.

  #define ROTGLOB 92

Definition at line 59 of file rwSUPRIM.h.

  #define ROW_ORG 5

Definition at line 21 of file rwSUPRIM.h.

  #define SAMP_DIST 10

Definition at line 26 of file rwSUPRIM.h.

  #define SLICE_ORG 29

Definition at line 48 of file rwSUPRIM.h.

  #define SUPRIMSIZE 548

Definition at line 69 of file rwSUPRIM.h.

  #define SYMP2 17

Definition at line 35 of file rwSUPRIM.h.

  #define THE_BP 13

Definition at line 30 of file rwSUPRIM.h.

  #define X_FBEG 32

Definition at line 50 of file rwSUPRIM.h.

  #define X_FMAX 12

Definition at line 29 of file rwSUPRIM.h.

  #define X_LNAM 21

Definition at line 40 of file rwSUPRIM.h.

  #define X_NAME 20

Definition at line 39 of file rwSUPRIM.h.

  #define X_NCLU 18

Definition at line 37 of file rwSUPRIM.h.

  #define X_NCTR 19

Definition at line 38 of file rwSUPRIM.h.

  #define X_NFAC 22

Definition at line 42 of file rwSUPRIM.h.

  #define X_NIMA 16

Definition at line 34 of file rwSUPRIM.h.

  #define X_NIMI 26

Definition at line 45 of file rwSUPRIM.h.

  #define X_NPIX 17

Definition at line 36 of file rwSUPRIM.h.

  #define X_NTRM 21

Definition at line 41 of file rwSUPRIM.h.

  #define X_NTYP 23

Definition at line 43 of file rwSUPRIM.h.

  #define X_TRP 70

Definition at line 52 of file rwSUPRIM.h.

  #define X_UFAC 27

Definition at line 46 of file rwSUPRIM.h.

  #define X_WALL 28

Definition at line 47 of file rwSUPRIM.h.

  #define XGLOB 90

Definition at line 57 of file rwSUPRIM.h.

  #define XX_CELL 93

Definition at line 60 of file rwSUPRIM.h.

  #define XY_CELL 94

Definition at line 61 of file rwSUPRIM.h.

  #define YGLOB 91

Definition at line 58 of file rwSUPRIM.h.

  #define YX_CELL 95

Definition at line 62 of file rwSUPRIM.h.

  #define YY_CELL 96

Definition at line 63 of file rwSUPRIM.h.

Function Documentation

  int readSUPRIM (Bimage * p, int readdata)

Reading a SUPRIM map image file format. A 3D image format used in electron microscopy. Header size: 36 bytes basic fields 512 bytes additional fields called 'registers' up to 1024 bytes of 'trace' records File format extensions: .spm, .sup Byte order determination: Version and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float, 4 = run-length-encoded float, 5 = short, 6 = RGB, 7 = int, 8 = double. Transform type: Standard.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Definition at line 60 of file rwSUPRIM.cpp.

  int writeSUPRIM (Bimage * p)

Writing a SUPRIM map image file format. A 3D image format used in electron microscopy.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 203 of file rwSUPRIM.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.